Bug 239053 - koji keeps a copy of ~/.fedora.cert that may be out-of-date
koji keeps a copy of ~/.fedora.cert that may be out-of-date
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 13:38 EDT by Zack Cerza
Modified: 2013-01-09 20:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 18:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-05-04 13:38:21 EDT
Description of problem:
fedora-packager-setup.sh copies ~/.fedora.cert to ~/.koji/client.crt, but only
if the latter does not exist. If someone runs the script once, and later their
cert expires and then get a new one, and run the script again, they'll try (and
fail) to import the "new" cert into Firefox.

If they're anything like me, they'll try it over and over, in slightly different
ways, eventually asking for help and file a bug on NSS before they see the real
problem. :)

Version-Release number of selected component (if applicable):
koji-1.1-1.fc7.noarch

Additional info:
 8  if [ ! -f ~/.koji/client.crt ]; then
 9      if [ -f ~/.fedora.cert ]; then
10          cp ~/.fedora.cert  ~/.koji/client.crt

Why not just use a hardlink?
Comment 1 Jesse Keating 2007-05-22 18:01:49 EDT
This has been fixed.

Note You need to log in before you can comment on or make changes to this bug.